Package bitel.billing.server.admin.resource.bean

# Class NumberResourceUseManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceUseManager<NumberResourceUse>
bitel.billing.server.admin.resource.bean.NumberResourceUseManager

    public class NumberResourceUseManager
    extends ResourceUseManager<NumberResourceUse>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceUseManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberResourceUseManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkResourceOutRange​(int resourceId, java.util.Calendar date1, java.util.Calendar date2)` |
  `void` | `closeResourceUse​(int cid, java.util.Date date)` |
  `protected NumberResourceUse` | `getResourceUseFromRs​(java.sql.ResultSet rs)` |
  `java.util.Map<java.lang.String,​java.util.List<NumberResourceUse>>` | `getResourceUseMap()` |
  `protected java.lang.String` | `getTableName()` |
  `protected void` | `insertResourceUseList​(int resourceId, java.util.List<NumberResourceUse> resourceUseList)` |

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceUseManager

  `freeResources, getResourceUse, loadStandartResourceUseFromRs, updateResourceUse, wasResourceUsed`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberResourceUseManager

    public NumberResourceUseManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getTableName

    protected java.lang.String getTableName()
    Specified by:
      `getTableName` in class `ResourceUseManager<NumberResourceUse>`

  - ### getResourceUseFromRs

    protected NumberResourceUse getResourceUseFromRs​(java.sql.ResultSet rs)
    Specified by:
      `getResourceUseFromRs` in class `ResourceUseManager<NumberResourceUse>`

  - ### getResourceUseMap

    public java.util.Map<java.lang.String,​java.util.List<NumberResourceUse>> getResourceUseMap()

  - ### checkResourceOutRange

    public boolean checkResourceOutRange​(int resourceId, java.util.Calendar date1, java.util.Calendar date2)

  - ### insertResourceUseList

    protected void insertResourceUseList​(int resourceId, java.util.List<NumberResourceUse> resourceUseList) throws java.lang.Exception
    Specified by:
      `insertResourceUseList` in class `ResourceUseManager<NumberResourceUse>`
    Throws:
      `java.lang.Exception`

  - ### closeResourceUse

    public void closeResourceUse​(int cid, java.util.Date date)
    Overrides:
      `closeResourceUse` in class `ResourceUseManager<NumberResourceUse>`